#![allow(non_upper_case_globals)]
#![allow(non_camel_case_types)]
#![allow(non_snake_case)]
#![allow(dead_code)]

//! A crate with bindings generated by
//! [`bindgen`](https://github.com/rust-lang/rust-bindgen) for the Intel `mraa`
//! library for low-speed IO communication.
//! 
//! # Cross compilation
//! This package uses [pkg_config](https://docs.rs/pkg-config/0.3.17/pkg_config/)
//! to find the location of `mraa` headers and libraries, so by setting the 
//! appropriate environment variables, it is possible to cross compile this 
//! library for other systems.
//! 
//! Example for cross compiling to BeagleBone:
//! ```bash
//! SYSROOT=/path/to/sysroot
//! export PKG_CONFIG_SYSROOT_DIR="$SYSROOT"
//! export PKG_CONFIG_LIBDIR="$SYSROOT/usr/lib/arm-linux-gnueabihf/pkgconfig"
//! export PKG_CONFIG_ALLOW_CROSS=1
//! export PKG_CONFIG_ALLOW_SYSTEM_LIBS=1
//! export PKG_CONFIG_ALLOW_SYSTEM_CFLAGS=1
//! cargo build --target=armv7-unknown-linux-gnueabihf
//! ```

include!(concat!(env!("OUT_DIR"), "/mraa_bindings.rs"));
